Subject: [Catalina22] Rail Cooler

From: "Dana Shields" <[email-masked]>
Date: Fri, 11 Mar 2005 16:31:02 -0500

Is there any such thing as a rail-mounted ice chest?

-----------------------------------------
The information contained in this e-mail message is intended only for the
personal and confidential use of the recipient(s) named above. This message
may be an attorney-client communication and/or work product and as such is
privileged and confidential. If the reader of this message is not the
intended recipient or an agent responsible for delivering it to the
intended recipient, you are hereby notified that you have received this
document in error and that any review, dissemination, distribution, or
copying of this message is strictly prohibited. If you have received this
communication in error, please notify us immediately by e-mail, and delete
the original message.